package org.eclipse.papyrusrt.bb.bbif.papyrus.trans.to.uml;

import com.google.inject.AbstractModule;
import com.google.inject.binder.AnnotatedBindingBuilder;
import org.eclipse.papyrusrt.bb.bbif.papyrus.trans.to.uml.BBIF2UMLTranslator;
import org.eclipse.papyrusrt.xtumlrt.trans.to.uml.IXtumlrt2UMLTranslator;

@SuppressWarnings("all")
public class BBIF2UMLInjectorModule extends AbstractModule {
  @Override
  protected void configure() {
    AnnotatedBindingBuilder<IXtumlrt2UMLTranslator> _bind = this.<IXtumlrt2UMLTranslator>bind(IXtumlrt2UMLTranslator.class);
    _bind.to(BBIF2UMLTranslator.class);
  }
}
